pulseaudio (1:17.0+dfsg1-2ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:13:53 +0000

pulseaudio (1:17.0+dfsg1-2ubuntu2) questing; urgency=medium

  * Rebuild against latest abseil

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 09:59:11 -0400

pulseaudio (1:17.0+dfsg1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add epoch
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 16:08:08 -0500

pulseaudio (17.0+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Bump minimum webrtc-audio-processing
  * Remove patch added to support old webrtc-audio-processing
  * Remove obsolete Depends: lsb-base
  * Update standards version to 4.7.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 11:32:02 -0500

pulseaudio (1:17.0+dfsg1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2093256). Remaining changes:
    - Add epoch
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch
  * Drop Debian patch for building against older webrtc:
    - d/p/support-old-webrtc-lib.patch
  * Drop Ubuntu patches applied upstream:
    - d/p/0001-backend-native-Handle-multi-AT-commands-in-a-buffer.patch
    - d/p/395.patch, d/p/795.patch
  * Rebase all Ubuntu patches with gbp
  * Rename libwebrtc-audio-processing-1-dev build-dependency

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 08 Jan 2025 12:27:02 +0100

pulseaudio (17.0+dfsg1-1) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * New upstream version 17.0+dfsg1
  * Drop patches applied upstream
    - daemon/meson.build: Install dbus policy in /usr, not /etc
    - bluetooth: Amend writeout to send more initial frames
  * Re-add git_tests_alignment.patch not included in v17.0
  * Cherry-pick patches to fix UCM-related crashes
    - alsa-ucm: Replace port device UCM context assertion with an error
    - alsa-ucm: Check UCM verb before working with device status
  * Add patch to support old webrtc-audio-processing library
  * Add patch to fix segfault with too many UCM devices

 -- Alper Nebi Yasak <alpernebiyasak@gmail.com>  Wed, 11 Dec 2024 21:27:53 +0100

pulseaudio (16.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 16.2+dfsg1
    - Fix gstreamer hang when seeking (Closes: #1081707)
  * Drop patch applied upstream
    - d/p/git_tests_alignment.patch
  * Silence lintian errors about custom RUNPATH
  * Fix mismatched lintian-overrides

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 11 Dec 2024 13:35:26 +0100

pulseaudio (1:16.1+dfsg1-5.1ubuntu2) plucky; urgency=medium

  * Backport patches to fix seeking in gstreamer (LP: #2055842)
    - d/p/fix-stream-time-when-stream-starts-paused.patch
    - d/p/fix-time-calculation-by-comparing-timestamps.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Dec 2024 09:27:37 +0100

pulseaudio (1:16.1+dfsg1-5.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add epoch
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch
    - Add upstream patch for Lenovo HFP/HSP
      - d/p/0001-backend-native-Handle-multi-AT-commands-in-a-buffer.patch
    - Add upstream patches for newer webrtc 1.0
      - d/p/395.patch, d/p/795-patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jun 2024 09:49:47 +0200

pulseaudio (16.1+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends to systemd-dev, fixing FTBFS. (Closes: #1060474)
  * Install systemd masking symlink and udev rule into /usr (DEP17).
    (Closes: #1072960)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 10 Jun 2024 23:50:35 +0200

pulseaudio (16.1+dfsg1-5) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * cherrypick a fix for a test failure with orc 0.4.38 (Closes: #1067288)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Apr 2024 08:06:33 -0400

pulseaudio (16.1+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Selectively disable libpulsedsp & padsp on 32-bit non-i386 architectures.
    Thanks to Simon McVittie, Steve Langasek (Closes: #1067247)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 15:35:29 -0400

pulseaudio (16.1+dfsg1-3) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * debian/rules:
    - fix a $LIB escaping issue in the pulsedsp-location option which
      is making padsp hit an error (Closes: #1028329)

  [ Kai-Heng Feng ]
  * Add patch to send more initial frames to improve Bluetooth input and output
    (LP: #2007331)

  [ Gioele Barabucci ]
  * Install dbus policy in /usr instead of /etc (Closes: #1032339)

  [ Gianfranco Costamagna ]
  * Build-Depend on liblirc-dev instead of liblircclient-dev (Closes: #1059976)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bicha ]
  * Drop obsolete package description reference to GConf
  * Update lintian override info to new format
  * Update standards version to 4.6.2, no changes needed

  [ Gabor Karsay ]
  * Remove unused Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 10:59:38 -0500

pulseaudio (1:16.1+dfsg1-2ubuntu12) oracular; urgency=medium

  * Rebuild against new libwebrtc-audio-processing-1-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 20:47:00 +0200

pulseaudio (1:16.1+dfsg1-2ubuntu11) oracular; urgency=medium

  * Rebuild against new libwebrtc-audio-processing-1-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 18:24:56 +0200

pulseaudio (1:16.1+dfsg1-2ubuntu10) noble; urgency=medium

  * debian/patches/git_tests_alignment.patch:
    - cherrypick an upstream change to fix a test failure with the new 
      orc version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 10:18:51 +0200

pulseaudio (1:16.1+dfsg1-2ubuntu9) noble; urgency=medium

  * No-change rebuild against lirc t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:12:30 +0100

pulseaudio (1:16.1+dfsg1-2ubuntu8) noble; urgency=medium

  * debian/patches/no-more-libpulsedsp.patch: disable the libpulsedsp
    DSO and padsp wrapper.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 20:09:57 +0000

pulseaudio (1:16.1+dfsg1-2ubuntu7) noble; urgency=medium

  [ Hui Wang ]
  * d/p/0001-backend-native-Handle-multi-AT-commands-in-a-buffer.patch
    - Lenovo Thinkplus XT99 bluetooth headset supports mSBC and could
      issue multi AT commands when negotiating with pulseaudio, but
      pulseaudio couldn't handle multi AT commands when processing one
      buffer, this makes the HFP/HSP mode not work, cherry pick an
      upstream commit to fix this issue. (LP: #2051895)

 -- Hui Wang <hui.wang@canonical.com>  Mon, 19 Feb 2024 11:26:17 +0800

pulseaudio (1:16.1+dfsg1-2ubuntu6) noble; urgency=medium

   * Cherry-pick change from 16.1+dfsg1-3
   [ Gianfranco Costamagna ]
   * Build-Depend on liblirc-dev instead of liblircclient-dev (Closes: #1059976)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 09:52:43 +0100

pulseaudio (1:16.1+dfsg1-2ubuntu4) mantic; urgency=medium

  * debian/rules:
    - fix a $LIB escaping issue in the pulsedsp-location option which
      is making padsp error out, thanks Márcio (lp: #2025169)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Jun 2023 13:10:29 +0200

pulseaudio (1:16.1+dfsg1-2ubuntu3) lunar; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/0015-bluetooth-Amend-writeout-to-send-more-initial-frames.patch
    (LP: #2007331)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 15 Feb 2023 09:44:55 +0800

pulseaudio (1:16.1+dfsg1-2ubuntu2) lunar; urgency=medium

  * Fix typo for snap build option

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2023 17:31:06 -0500

pulseaudio (1:16.1+dfsg1-2ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add epoch
    - Recommend gstreamer1.0-plugins-good & suggest gstreamer1.0-plugins-bad
    - Build-Depend on doxygen, libapparmor-dev, and libsnapd-glib-dev
    - Enable snap build option
    - Add patches:
      + 0001-volume-config-changes.patch
      + 0016-nodisplay-autostart.patch
      + 0030-load-module-switch-on-connect.patch
    - Add patches for Snap support:
      + 0406-tagstruct-add-copy-method.patch
      + 0407-access-Add-access-control-hooks.patch
      + 0408-protocol-native-add-access-checks.patch
      + 0409-fix-arg-parsing-after-async-hook.patch
      + 0410-pa-client-peer-apparmor-label.patch
      + 0700-modules-add-snappy-policy-module.patch
      + 0701-enable-snap-policy-module.patch
      + 0702-add-snappy-policy-module.patch
      + 0016-check_off_profile_when_switching_profile.patch
      + 0001-card-restore-setting-preferred-ports-in-entry_from_c.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2023 17:06:19 -0500

pulseaudio (16.1+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 15:00:13 -0400

pulseaudio (1:16.1+dfsg1-1ubuntu3) kinetic; urgency=medium

  * Restore debian/tests/build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 26 Aug 2022 12:04:11 -0400

pulseaudio (1:16.1+dfsg1-1ubuntu2) kinetic; urgency=medium

  * 0700-modules-add-snappy-policy-modules.patch: Look for snapd-glib-2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 22:00:19 -0400

pulseaudio (1:16.1+dfsg1-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 14:23:08 +0200

pulseaudio (16.1+dfsg1-1) experimental; urgency=medium

  * Correctly use gbp import to regenerate a dfsg tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 14:11:24 +0200

pulseaudio (16.1-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 13:47:48 +0200

pulseaudio (15.99.1+dfsg1-1) experimental; urgency=medium

  * New upstream candidate
  * d/p/0002-bluetooth-ldac-Fix-RTP-payloading-of-encoded-packet.patch:
    - removed, the fix is in the new version

  [ Diederik de Haas ]
  * Create /etc/pulse/system.pa.d to store additional configuration snippets
    for system.pa (Closes: #994708)

  [ Laurent Bigonville ]
  * Enable gstreamer support.  This is mainly needed to use different codecs
    for Bluetooth headsets (Closes: #991597, #954434)
  * Fix LDAC RTP payloading.  Without this, LDAC is not working with recent
    Sony devices

  [ Debian Janitor ]
  * Remove 5 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 12 to 13. + debian/rules: Drop --fail-missing
    argument to dh_missing, which is now the default.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Feb 2022 22:03:52 +0100

pulseaudio (15.0+dfsg1-4) unstable; urgency=medium

  [ Diederik de Haas ]
  * Create /etc/pulse/system.pa.d to store additional configuration snippets
    for system.pa (Closes: #994708)

  [ Laurent Bigonville ]
  * Enable gstreamer support.  This is mainly needed to use different codecs
    for Bluetooth headsets (Closes: #991597, #954434)
  * Fix LDAC RTP payloading.  Without this, LDAC is not working with recent
    Sony devices

  [ Debian Janitor ]
  * Remove 5 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 12 to 13. + debian/rules: Drop --fail-missing
    argument to dh_missing, which is now the default.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 22 Feb 2022 14:57:31 +0100

pulseaudio (15.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  [ Sebastien Bacher ]
  * debian/rules:
    - fix a typo in the glib build option

  [ Laurent Bigonville ]
  * debian/rules: Explicitly disable building doxygen documentation
    (Closes: #996335)
  * debian/control: Move libpulse-mainloop-glib0 and libpulsedsp to libs
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

  [ Helmut Grohne ]
  * Fix nocheck FTBFS: Disable tests. (Closes: #993095)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Dec 2021 12:33:25 +0100

pulseaudio (15.0+dfsg1-2) unstable; urgency=medium

  * Release to unstable

 -- Felipe Sateler <fsateler@debian.org>  Tue, 17 Aug 2021 19:16:03 -0400

pulseaudio (1:15.0+dfsg1-1ubuntu6) jammy; urgency=medium

  * debian/control: build-depends on doxygen

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Nov 2021 10:10:01 +0100

pulseaudio (1:15.0+dfsg1-1ubuntu5) jammy; urgency=medium

  * debian/rules:
    - fix a typo in one of the build option

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Nov 2021 09:49:25 +0100

pulseaudio (1:15.0+dfsg1-1ubuntu4) jammy; urgency=medium

  * d/p/0001-card-restore-setting-preferred-ports-in-entry_from_c.patch
    - cherry pick an upstream commit to fix the issue of hdmi can't be
      restored after s3 resume (LP: #1951667)

 -- Hui Wang <hui.wang@canonical.com>  Sat, 20 Nov 2021 11:56:36 +0800

pulseaudio (1:15.0+dfsg1-1ubuntu3) jammy; urgency=medium

  * debian/patches/gitlab_ice_error.patch:
    - cherry pick an upstream candidate fix for a segfault issue in the
      session closing handling (lp: #1942685)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Oct 2021 12:28:32 +0200

pulseaudio (1:15.0+dfsg1-1ubuntu2) impish; urgency=medium

  * debian/control.in:
    - include the Ubuntu epoch in the Replaces version to fix upgrades
      (lp: #1938753)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Aug 2021 10:51:37 +0200

pulseaudio (1:15.0+dfsg1-1ubuntu1) impish; urgency=medium

  * New upstream version resynchronized on Debian
   - Support for bluetooth LDAC and AptX codecs and HFP profiles for
     improved audio quality

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Aug 2021 17:32:10 +0200

pulseaudio (15.0+dfsg1-1) experimental; urgency=medium

  [ Felipe Sateler ]
  * New upstream version 15.0+dfsg1
    - Adjust bluez enablement option to feature.
      The meson option changed from boolean to feature
      and thus true/false to enabled/disabled

  [ Laurent Bigonville ]
  * Allow the package to build on non-linux architectures
  * Re-add libtdb-dev to the BD on hurd as it builds properly now

 -- Felipe Sateler <fsateler@debian.org>  Thu, 29 Jul 2021 08:46:15 -0400

pulseaudio (14.99.2+dfsg1-1) experimental; urgency=medium

  * New upstream version 14.99.2+dfsg1
    - Drop patches applied upstream
  * Fix uscan suffix mangling.
    The correct way is to use repacksuffix and dversionmangle so that uscan
    knows the new file has a different version.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 17 Jun 2021 09:16:54 -0400

pulseaudio (14.99.1+dfsg1-3) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Add the needed Breaks/Replaces after moving the completion files

 -- Felipe Sateler <fsateler@debian.org>  Mon, 14 Jun 2021 22:38:31 -0400

pulseaudio (14.99.1+dfsg1-2) experimental; urgency=medium

  * Add systemd build-dependency.
    Build fails without it installed, and systemd integration configured.

 -- Felipe Sateler <fsateler@debian.org>  Tue, 01 Jun 2021 08:39:50 -0400

pulseaudio (14.99.1+dfsg1-1) experimental; urgency=medium

  [ Kevin Locke ]
  * Move shell completion scripts to pulseaudio-utils.
    The shell completion scripts support commands from both the pulseaudio
    package and pulseaudio-utils package, which may be installed without
    pulseaudio (e.g. for use with PipeWire configured for PulseAudio
    compatibility).  Ship the completions in pulseaudio-utils to cover this
    case.  Note that the completion for the pulseaudio command will be
    available if the pulseaudio package is installed, since it depends on
    pulseaudio-utils.
    Also move the Lintian override for script-not-executable and add one for
    bash-completion-with-hashbang.  I'm in favor of fixing these, rather
    than overriding them, but not sufficiently to pursue it right now.
    (Closes: #803329)

  [ Felipe Sateler ]
  * Fix machine-readable format with the help of Config::Model
  * New upstream release candidate
    - Exclude non-free rfcs from upstream tarball
  * Drop patches picked from upstream
  * Change build system to use meson.
    Autotools was dropped so the switch is necessary
  * Don't link pulsecommon with gtk or glib.
    This was the behaviour with previous autotools build system

  [ Faidon Liambotis ]
  * Create /etc/pulse/default.pa.d that can now be used for additional
    configuration snippets
  * Validate manpages and desktop file.
    For that we need the new build dependencies on libxml2-utils
    (for xmllint) and desktop-file-utils (for desktop-file-validate)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 28 May 2021 21:04:18 -0400

pulseaudio (14.2-3) UNRELEASED; urgency=medium

  [ Kevin Locke ]
  * Move shell completion scripts to pulseaudio-utils.
    The shell completion scripts support commands from both the pulseaudio
    package and pulseaudio-utils package, which may be installed without
    pulseaudio (e.g. for use with PipeWire configured for PulseAudio
    compatibility).  Ship the completions in pulseaudio-utils to cover this
    case.  Note that the completion for the pulseaudio command will be
    available if the pulseaudio package is installed, since it depends on
    pulseaudio-utils.
    Also move the Lintian override for script-not-executable and add one for
    bash-completion-with-hashbang.  I'm in favor of fixing these, rather
    than overriding them, but not sufficiently to pursue it right now.
    Signed-off-by: Kevin Locke <kevin@kevinlocke.name> (Closes: #803329)

  [ Laurent Bigonville ]
  * debian/control: Add the needed Breaks/Replaces after moving the completion files

 -- Felipe Sateler <fsateler@debian.org>  Mon, 14 Jun 2021 22:59:16 -0400

pulseaudio (1:14.2-2ubuntu2) impish; urgency=medium

  * d/p/0016-check_off_profile_when_switching_profile.patch
  * d/p/0017-add_dynamic_priority_bonus_base_for_alsa_profiles.patch
    Fix a "Rear Mic" always showing on input list when using dual codec.
    (LP: #1929371)

 -- Jeremy Szu <jeremy.szu@canonical.com>  Tue, 25 May 2021 12:41:39 +0000

pulseaudio (1:14.2-2ubuntu1) impish; urgency=medium

  * Resynchronize with Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 16:50:37 +0200

pulseaudio (14.2-2) unstable; urgency=medium

  * Stop installing the console kit module.
    ConsoleKit was removed from debian, so it no longer brings any purpose
    (Closes: #854327)
  * Fix test failure in ppc64el.
    Thanks to Faidon Liambotis <paravoid@debian.org> for the patch.
    (Closes: #982740)
  * Move the home directory of pulseaudio user to /run/pulse
    /var/run is a symlink to /run so let's just use the canonical place

 -- Felipe Sateler <fsateler@debian.org>  Fri, 26 Feb 2021 19:51:50 -0300

pulseaudio (1:14.2-1ubuntu1) hirsute; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Jan 2021 12:03:10 +0100

pulseaudio (14.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends
    * Annotate check with <!nocheck>.
    * Drop libsamplerate0-dev: It is deprecated and no longer enabled when
      present. Given the lack of --enable-libsamplerate, it wasn't enabled
      in a while.
    * Drop libjson-c-dev: Since 10.0, pulseaudio has its own json parser.
    (Closes: #979281)

  [ Felipe Sateler ]
  * Make pulsedsp use $LIB RPATH.
    This way, if libpulsedsp is installed for both amd64 and i386, the
    linker knows which one to use automatically.
    Some extra escaping is necessary to prevent expansion via multiple
    make/shell layers (Closes: #845802)
  * New upstream version 14.2

 -- Felipe Sateler <fsateler@debian.org>  Tue, 19 Jan 2021 14:31:45 -0300

pulseaudio (1:14.1-1ubuntu1) hirsute; urgency=medium

  * New stable version merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 16:53:10 +0100

pulseaudio (14.1-1) unstable; urgency=medium

  * New bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 15:07:31 +0100

pulseaudio (14.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control, debian/rules:
    - disable the gstreamer rtp option which is experimental
  * debian/rules:
    - use enable-stream-restore-clear-old-devices for better handleing
      of upgraded systems

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Jan 2021 12:03:26 +0100

pulseaudio (1:14.0-1ubuntu2) hirsute; urgency=medium

  * d/p/0001-switch-on-port-available-Switch-to-headset-or-mic-on.patch
    - Fix the headset-mic/headphone-mic selection on the machines without
      internal mic (lp: #1908167)

 -- Hui Wang <hui.wang@canonical.com>  Tue, 15 Dec 2020 15:48:42 +0800

pulseaudio (1:14.0-1ubuntu1) hirsute; urgency=medium

  * New stable version merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Nov 2020 12:13:01 +0100

pulseaudio (14.0-1) experimental; urgency=medium

  * New upstream version
  * debian/rules:
    - set --enable-gstreamer since the default changed to false now

 -- Sebastien Bacher <seb128@debian.org>  Thu, 26 Nov 2020 11:40:50 +0100

pulseaudio (1:13.99.3-1ubuntu2) hirsute; urgency=medium

  * SECURITY UPDATE: don't rely on SCM_CREDENTIALS to detect snap confined
    clients (LP: #1895928)
    - d/p/0409-pa-client-peer-credentials.patch: drop patch
    - d/p/0409-fix-arg-parsing-after-async-hook.patch: remains of old 0409
      patch not related to pa_creds.
    - d/p/0410-pa-client-peer-apparmor-label.patch: new patch, records
      AppArmor label in pa_client struct for native connections using
      aa_getpeercon.
    - d/p/0702-add-snappy-policy-module.patch: use the AppArmor
      label in the pa_client rather than looking it up via the process ID
      from SCM_CREDENTIALS.
    - CVE-2020-16123
   * Don't block classic snaps from module loading/unloading (LP: #1886854)
    - d/p/0702-add-snappy-policy-module.patch: replace
      deny_to_snaps_hook with a version that allows classic snaps.

 -- James Henstridge <james.henstridge@canonical.com>  Mon, 09 Nov 2020 22:43:42 -0500

pulseaudio (1:13.99.3-1ubuntu1) hirsute; urgency=medium

  * Update to the current candidate version (lp: #1902485)
  * debian/patches/git_segfault_fix.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Nov 2020 15:27:10 +0100

pulseaudio (13.99.3-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Nov 2020 15:12:10 +0100

pulseaudio (1:13.99.2-1ubuntu2) groovy; urgency=medium

  * debian/patches/git_segfault_fix.patch:
    - backport a fix for a segfault regression for the recent update
      (lp: #1900812)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Oct 2020 10:46:23 +0200

pulseaudio (1:13.99.2-1ubuntu1) groovy; urgency=medium

  * Updated to the current candidate version
  * d/p/git_cherrypick_fixes.patch,
    d/p/git_config_upgrade.patch,
    d/p/0001-alsa-mixer-Recognize-USB-audio-jack-mixer.patch,
    d/p/0002-module-alsa-card-Set-a-minimum-profile-priority-if-i.patch
    d/p/0032-alsa-mixer-store-the-ucm_device-with-the-order-of-th.patch,
    d/p/0033-alsa-make-the-unsuspend-more-robust.patch,
    d/p/0034-alsa-adjust-ucm-sink-source-priority-according-to-po.patch,
    d/p/0035-ucm-add-possibility-to-skip-the-UCM-card-completely-.patch,
    d/p/0036-device-port-queue-CARD-CHANGE-event-before-update-de.patch:
  * d/p/0031-lp1847570-Revert-switch-on-connect-Do-not-ignore-HDMI-sinks.patch:
    - removed, upstream fixed the issue differently

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Oct 2020 11:45:03 +0200

pulseaudio (13.99.2-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Oct 2020 21:39:32 +0200

pulseaudio (1:13.99.1-1ubuntu11) groovy; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/0001-alsa-mixer-Add-support-for-HP-Thunderbolt-Dock.patch
  * d/p/0002-alsa-mixer-Expand-comments-in-the-HP-Thunderbolt-Doc.patch
    Add profile-sets for HP Thunderbolt Dock (LP: #1894606)

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 22 Sep 2020 10:09:09 +0200

pulseaudio (1:13.99.1-1ubuntu10) groovy; urgency=medium

  * d/p/0001-alsa-mixer-Recognize-USB-audio-jack-mixer.patch:
    - recognize USB jack mixer to support jack detection (LP: #1891461)
  * d/p/0002-module-alsa-card-Set-a-minimum-profile-priority-if-i.patch:
    - resolve an issue when headset gets unplugged, HDMI audio is chosen
      instead of internal speaker (LP: #1891461)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Thu, 13 Aug 2020 16:58:42 +0800

pulseaudio (1:13.99.1-1ubuntu9) groovy; urgency=medium

  * d/p/0034-alsa-adjust-ucm-sink-source-priority-according-to-po.patch
  * d/p/0035-ucm-add-possibility-to-skip-the-UCM-card-completely-.patch
  * d/p/0036-device-port-queue-CARD-CHANGE-event-before-update-de.patch
    Make digital mic on the AMD Renoir machines work under gnome desktop
    (LP: #1889217)

 -- Hui Wang <hui.wang@canonical.com>  Sat, 08 Aug 2020 13:32:49 +0800

pulseaudio (1:13.99.1-1ubuntu8) groovy; urgency=medium

  * d/p/0033-alsa-make-the-unsuspend-more-robust.patch:
    - resolve cases where there is no available audio entry in sound
      settings after suspending in 'Performance mode' (LP: #1887610)

 -- Hui Wang <hui.wang@canonical.com>  Wed, 15 Jul 2020 15:29:05 +0800

pulseaudio (1:13.99.1-1ubuntu7) groovy; urgency=medium

  * d/p/0032-alsa-mixer-store-the-ucm_device-with-the-order-of-th.patch
    - switch the port on ucm device based on priority (LP: #1882161)

 -- Hui Wang <hui.wang@canonical.com>  Fri, 05 Jun 2020 10:10:09 +0800

pulseaudio (1:13.99.1-1ubuntu6) groovy; urgency=medium

  * debian/patches/git_config_upgrade.patch:
     -stream-restore: Forget pre-14.0 stream routing, old configurations are
      incompatible and create routing issues where e.g the speaker despite
      having headset selected (lp: #1866194)
  * debian/rules:
    - enable --enable-stream-restore-clear-old-devices
  * debian/rules:
    - don't let tests fail build on riscv

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Jun 2020 17:28:51 +0200

pulseaudio (1:13.99.1-1ubuntu5) groovy; urgency=medium

  * SECURITY UPDATE: stop snaps from loading and unloading modules, to
    prevent bypass of audio recording restriction (LP: #1877102). Patch
    thanks to James Henstridge
    - d/p/0407-access-Add-access-control-hooks.patch: make sure access
      hook IDs are non-zero.
    - d/p/0700-modules-add-snappy-policy-module.patch: Prevent snaps from
      controlling modules, terminating the daemon, or disconnecting clients.
    - CVE-2020-11931
  * debian/control: Build-Depends on libsnapd-glib-dev (>= 1.49)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 12 May 2020 20:08:11 +0000

pulseaudio (1:13.99.1-1ubuntu4) groovy; urgency=medium

  * debian/patches/gitlab_jack_identifier.patch:
    - fix a regression introduced by the change which was leading to
      headphones not being activated when connected (LP: #1876065)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 06 May 2020 15:20:42 +0200

pulseaudio (1:13.99.1-1ubuntu3) focal; urgency=medium

  * debian/patches/git_cherrypick_fixes.patch:
    - cherry pick pending commits from git, we are on a rc version but it
      looks like the stable isn't going to be rolled before focal is out
      so let's include the pending fixes in our package.
    - fixes for sound not working on Bay and Cherry trail (lp: #1872970)
    - remove git_ucm_assert.patch which was an individual cherrypick

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Apr 2020 10:07:10 +0200

pulseaudio (1:13.99.1-1ubuntu2) focal; urgency=medium

  * debian/patches/git_ucm_assert.patch:
    - backport an assert fix from git (lp: #1871039)

  [Kai-Heng Feng]
  * alsa-mixer: Handle the index for ALSA mixer jack identifiers
  * alsa-mixer: Support dual Front Headphone Jack

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Apr 2020 17:58:57 +0200

pulseaudio (1:13.99.1-1ubuntu1) focal; urgency=medium

  [ Sebastien Bacher ]
  * Resynchonize on Debian

  [ Daniel van Vugt ]
  * Drop patches superseded by upstream changes:
    - 0031-lp1847570-Revert-switch-on-connect-Do-not-ignore-HDMI-sinks.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 12:20:10 +0100

pulseaudio (13.99.1-1) experimental; urgency=medium

  * New upstream rc version, including those changes:
    - default sink selection for a better user experience, ALSA UCM support,
      disabling flat volumes by default, stream rescue moving to core,
      GStreamer-based RTP support, and qpaeq moving to Python 3.
  * debian/control:
    - B-D on libgstreamer1.0-dev and libgstreamer-plugins-base1.0-dev,
      needed to enable the gstreamer based RTP support
  * debian/patches/qpaeq-Drop-unused-imports.patch,
    debian/patches/qpaeq-use-python3-instead-of-python-2.patch,
    debian/patches/daemon-conf-disable-flat-volumes-by-default.patch:
    - dropped the changes included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Feb 2020 15:25:31 +0100

pulseaudio (13.0-5) unstable; urgency=medium

  * Fix removal of 00-disable-autospawn.conf.
    The autoremoval script was wrongly put into the pulseaudio package, while
    it should have been in the libpulse0 package. Moreover, the version specified
    was wrong (set at 12.2 instead of 13.0) (Closes: #950413)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 05 Feb 2020 23:06:41 -0300

pulseaudio (13.0-4) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.
    In Ubuntu, we are in the process of moving the i386 architecture to a
    compatibility-only layer on amd64, and therefore we are also moving our
    autopkgtest infrastructure to test i386 binaries in a cross-environment.
    This requires changes to some tests so that they are cross-aware and can do
    the right thing.
    The pulseaudio tests currently fail in this environment, because they are
    build tests that do not invoke the toolchain in a cross-aware manner.  I've
    verified that the attached patch lets the tests successfully build (and run)
    i386 tests on an amd64 host.
    Note that upstream autopkgtest doesn't currently set DEB_HOST_ARCH so this
    is a complete no-op in Debian for the moment.  Support for cross-testing in
    autopkgtest is currently awaiting review at
    https://salsa.debian.org/ci-team/autopkgtest/merge_requests/69 and once
    landed, will still have no effect unless autopkgtest is invoked with a '-a'
    option.  So this change should be safe to land in your package despite this
    not being upstream in autopkgtest. (Closes: #946375)

  [ Felipe Sateler ]
  * Enable autospawn automatically on sysvinit systems.
    Instead of having a default configuration, make pulseaudio default to
    disabled, and then have a sysvinit service to reenable the autospawn
    setting
    (Closes: #923203)
  * Allow installing pulseaudio with elogind.
    Because we now autospawn with non-systemd, we can use the weaker guarantees
    provided by elogind
    (Closes: #923201)
  * Drop postinst snippet dealing with old upgrades.
    5.0 is already in oldoldstable so no need to carry it anymore
  * Set upstream metadata fields: Name (from ./configure), Repository,
    Repository-Browse.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
  * Bump Standards-Version.
    No changes needed
  * Enable the systemd user units dynamically, not statically.
    Now that there is support for systemd --user in debhelper, lets use that to
    enable the user units instead of having a global link (Closes: #943999)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jan 2020 09:24:15 -0300

pulseaudio (13.0-3) unstable; urgency=medium

  * qpaeq: migrate to python3.
    Patch picked from Fedora and cleaned up for upstream inclusion.
    (Closes: #937338)
  * d/control: Remove duplicate Priority: field
  * Add dev package information to symbols file.
    Thanks lintian tag symbols-file-missing-build-depends-package-field
  * Pick upstream patch disabling flat-volumes by default.
    (Closes: #837637, #541538)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 25 Oct 2019 09:00:30 -0300

pulseaudio (13.0-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop obsolete gconf build-dependency.
    The package already builds with --disable-gconf configure flag.
    (Closes: #941794)

  [ Felipe Sateler ]
  * Use https URI in Homepage field.
  * Bump Standards-Version

 -- Felipe Sateler <fsateler@debian.org>  Sun, 06 Oct 2019 19:50:40 -0300

pulseaudio (1:13.0-1ubuntu6) focal; urgency=medium

  * Build-depend on dh-python.
  * pulseaudio-equalizer: Depend on python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2020 14:10:34 +0100

pulseaudio (1:13.0-1ubuntu5) focal; urgency=medium

  * Add 0031-lp1847570-Revert-switch-on-connect-Do-not-ignore-HDMI-sinks.patch
    to revert to PulseAudio v12 behaviour and ignore monitors with HDMI ports.
    At least until a proper solution arrives in PulseAudio v14. (LP: #1847570)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 11 Dec 2019 16:34:39 +0800

pulseaudio (1:13.0-1ubuntu4) focal; urgency=medium

  * Include the actual gio change now...

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2019 17:00:03 +0100

pulseaudio (1:13.0-1ubuntu3) focal; urgency=medium

  * debian/patches/0700-modules-add-snappy-policy-module.patch:
    - include glib and gio in the pkgconfig requirements, they used to
      get included by snapd-glib but not anymore, fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2019 16:38:52 +0100

pulseaudio (1:13.0-1ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

  [ Sebastien Bacher ]
  * Remove some old patches that are not needed anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Dec 2019 21:38:59 -0800

pulseaudio (1:13.0-1ubuntu1) eoan; urgency=medium

  * Merged Debian version 13.0-1
  * Refreshed patches:
    - 0022-inotify-wrapper-Quit-daemon-if-pid-file-is-removed.patch
    - 0407-access-Add-access-control-hooks.patch
    - 0700-modules-add-snappy-policy-module.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 18 Sep 2019 08:37:45 +0200

pulseaudio (13.0-1) unstable; urgency=medium

  * New upstream version
  * debian/pulseaudio-utils.install:
    - install the new pa-info utility

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:06:43 +0200

pulseaudio (1:12.99.2-1ubuntu1) eoan; urgency=medium

  * Merged Debian version 12.99.2-1 (prerelease 9b91334fd).
  * Drop upstreamed patches:
    - volume-test.patch
    - Don-t-compile-with-ffast-math.patch
    - steelseries.3.83675b374.patch
    - steelseries.4.fe6a9a8f5.patch
    - steelseries.5.3454c19f3.patch
    - 0800-stream-restore-Don-t-restore-if-the-active_port-is-P.patch
  * Refreshed Ubuntu patches:
    - 0016-nodisplay-autostart.patch
    - 0022-inotify-wrapper-Quit-daemon-if-pid-file-is-removed.patch
    - 0407-access-Add-access-control-hooks.patch
    - 0408-protocol-native-add-access-checks.patch
    - 0409-pa-client-peer-credentials.patch
    - 0700-modules-add-snappy-policy-module.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 20 Aug 2019 17:08:14 +0800

pulseaudio (12.99.2-1) unstable; urgency=medium

  * New upstream version 12.99.2
    - Fixes FTBFS with gcc-9. (Closes: #925807)
    - Drop all patches, applied upstream
    - Add new symbols added to libpulse0
  * Remove autopoint override.
    Since version 12, regular intltool is used, not gtkdocize
  * Bump debhelper compat level to 12

 -- Felipe Sateler <fsateler@debian.org>  Wed, 21 Aug 2019 22:10:51 -0400

pulseaudio (12.2-5) unstable; urgency=medium

  * Pick upstream patch fixing mute state restoring (Closes: #913102)

 -- Felipe Sateler <fsateler@debian.org>  Sun, 04 Aug 2019 21:18:02 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpulse0`.
